/* START CATEGORY LIST */

.category-list {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 40px;
}

.category-list.generic-section {
    padding: 104px 0 120px;
}
/* List background color: white */
.category-list.white {
    background-color: var(--background-list-white);
}
/* List background color: grey */
.category-list.grey {
    background-color: var(--background-list-grey);
}
/* List background color: dark-grey */
.category-list.dark-grey {
    background-color: var(--background-list-dark-grey);
}

.category-list .list-title-row {
    width: 100%;
    color: var(--color-primary-blue);
    font-size: var(--text-l);
    font-family: var(--font-frutiger-bold);
    letter-spacing: 1px;
    text-align: center;
}

/* Card */
.category-list .category-list-card {
    display: flex;
    justify-content: start;
    align-items: start;
    height: 232px;
    border-radius: 0 0 10px 60px;
    position: relative;
    text-decoration: none;
    overflow: hidden;
}

/* Card image */
.category-list .category-list-card .card-image {
    position: absolute;
    inset: 0;
    object-fit: cover;
    object-position: center;
    z-index: 0;
    transition: transform 0.45s ease-in-out;
    width: 100%;
    height: 100%;
}

.category-list .category-list-card:hover .card-image {
    transform: scale(1.1);
}

.category-list .category-list-card::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(180deg, rgba(0, 0, 0, .8) 0%, rgba(0, 0, 0, 0) 45.97%);
    z-index: 1;
}

.category-list .category-list-card .title-card {
    z-index: 2;
    padding: 10px;
    width: 100%;
}

.category-list .category-list-card .title-card h3 {
    color: white;
    font-size: var(--text-xxm);
    letter-spacing: 1px;
    font-family: var(--font-frutiger-bold);
    word-break: break-word;
}

.category-list .generic-slider-wrapper {
    max-width: 1316px;
    margin: auto;
    padding: 0 32px;
}

.category-list .generic-slider {
    height: unset;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px;
}

.category-list .generic-slider-navigation {
    display: none;
}

/* END CATEGORY LIST */

/* START MEDIA QUERY */

/* Tablet */
@media (max-width: 767px) {
    /* List */
    .category-list .generic-slider {
        width: 100%;
        gap: 16px;
    }

    /* Card */
    .category-list .category-list-card {
        height: 176px;
    }

    .category-list.generic-section {
        padding: 96px 0;
    }
}

/*!* Mobile - 600 not 375 *!*/
@media (max-width: 576px) {
    .category-list .generic-slider-navigation {
        display: flex;
    }

    .category-list.generic-section {
        padding: 72px 0;
    }

    /* List - mobile list view */
    .category-list .generic-slider {
        display: flex;
        flex-direction: column;;
        gap: 32px;
        justify-content: center;
        align-items: center;
    }

    /* Card - mobile list view */
    .category-list .category-list-card.mobile-list-view {
        height: 232px;
        width: 100%;
    }

    /* List - mobile slider view */
    .category-list .generic-slider-wrapper.mobile-slider-view .generic-slider {
        display: flex;
        flex-direction: row;
        height: 200px;
        justify-content: start;
    }

    .category-list .generic-slider .category-list-card.mobile-slider-view {
        display: flex;
        flex-shrink: 0;
        width: 283px;
        max-width: 283px;
        height: 100%;
        scroll-snap-align: start;
    }

    .category-list .category-list-card:hover .card-image {
        transform: unset;
    }

    .category-list .generic-slider .category-list-card {
        padding: unset;
        margin-right: unset;
    }

    .category-list .list-title-row {
        font-size: var(--text-xxxxm);
    }

    .category-list .generic-slider-wrapper.mobile-slider-view {
        display: block;
        padding: 0 0 0 16px;
        margin-right: 16px;
    }
}

/*@media (max-width: 576px) {*/
/*    .category-list .list {*/
/*        padding: 0 16px;*/
/*    }*/


/*    !* Category list *!*/




/*    .category-list .generic-slider .category-list-card {*/
/*        padding: unset;*/
/*        margin-right: unset;*/
/*    }*/
/*}*/
/* END MEDIA QUERY */